Skip to main content
PUT
/
api
/
v1
/
tracked-accounts
/
{id}
Wake Tracked Account
curl --request PUT \
  --url https://www.catchthegoodones.com/api/v1/tracked-accounts/{id}
{
  "account": {
    "id": 1,
    "xHandle": "youraccount",
    "tier": "top",
    "isActive": true
  }
}
Re-activates a sleeping account. This resumes syncing and increments the Stripe subscription quantity for that account’s tier. Billing note: Waking an account adds a subscription item to your Stripe subscription for that tier.

Headers

HeaderRequiredDescription
AuthorizationYesBearer ctgo_your_api_key_here

Path parameters

ParameterTypeDescription
idintegerThe tracked account ID

Example

curl -X PUT https://www.catchthegoodones.com/api/v1/tracked-accounts/1 \
  -H "Authorization: Bearer ctgo_your_api_key_here"

Response

{
  "account": {
    "id": 1,
    "xHandle": "youraccount",
    "tier": "top",
    "isActive": true
  }
}